EQ will no longer run on Windows Vista or older

Discussion in 'Player Support' started by Silently, Apr 18, 2018.

  1. Silently New Member

    In reading the update notes I saw this: Everquest will no longer run on Windows Vista or older operating systems. It states to look at minimum system requirements on our website. I see that the system requirement is still Windows 7. What operating system will be necessary to run eq after this update?
  2. Gnomeland Augur

    Windows 7 or better.
  3. CatsPaws Devil's Advocate

    I think it is just an announcement and clarification of the change last year's discontinuance of Windows XP/Vista that caused an uproar:
    From RadarX on May 2, 2017 - "In 2015, EverQuest updated its minimum system requirements to an operating system of Windows 7 or higher. Some of you have been playing the game for a significant amount of time using Windows XP or Windows Vista and over the years, we have done our best to provide continued support for these two platforms."

    Some nice players have been able to make patches to help other players with older systems so my guess is that there will no longer be a way for those player made patches to work due to infrastructure change so they are just reiterating the fact since no one reads the EQ help pages.
  4. PjDubski New Member

    if you're running on a vista OS in 2018 anyways, you don't have any buisness on an MMO period. Only my opinion. But come on man. Stroll down to Wal-mart, buy a $200 Windows 10 machine and play without concern.
    CatsPaws likes this.
  5. svann Augur

    They made some changes to the client this patch, and iiuc those changes wont work on xp or vista.